org.keycloak.models.entities

## Class ClientEntity

- java.lang.Object
- - org.keycloak.models.entities.AbstractIdentifiableEntity
  - - org.keycloak.models.entities.ClientEntity

- Direct Known Subclasses:
    ApplicationEntity, OAuthClientEntity

      public class ClientEntity
      extends AbstractIdentifiableEntity

  Author:
    Marek Posolda

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientEntity()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getAllowedClaimsMask()`
    `String` | `getName()`
    `int` | `getNotBefore()`
    `String` | `getRealmId()`
    `List<String>` | `getRedirectUris()`
    `List<String>` | `getScopeIds()`
    `String` | `getSecret()`
    `List<String>` | `getWebOrigins()`
    `boolean` | `isEnabled()`
    `boolean` | `isFullScopeAllowed()`
    `boolean` | `isPublicClient()`
    `void` | `setAllowedClaimsMask(long allowedClaimsMask)`
    `void` | `setEnabled(boolean enabled)`
    `void` | `setFullScopeAllowed(boolean fullScopeAllowed)`
    `void` | `setName(String name)`
    `void` | `setNotBefore(int notBefore)`
    `void` | `setPublicClient(boolean publicClient)`
    `void` | `setRealmId(String realmId)`
    `void` | `setRedirectUris(List<String> redirectUris)`
    `void` | `setScopeIds(List<String> scopeIds)`
    `void` | `setSecret(String secret)`
    `void` | `setWebOrigins(List<String> webOrigins)`

    - ### Methods inherited from class org.keycloak.models.entities.AbstractIdentifiableEntity

      `equals, getId, hashCode, setId, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientEntity

          public ClientEntity()

  - ### Method Detail

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### isEnabled

          public boolean isEnabled()

    - #### setEnabled

          public void setEnabled(boolean enabled)

    - #### getSecret

          public String getSecret()

    - #### setSecret

          public void setSecret(String secret)

    - #### getAllowedClaimsMask

          public long getAllowedClaimsMask()

    - #### setAllowedClaimsMask

          public void setAllowedClaimsMask(long allowedClaimsMask)

    - #### getNotBefore

          public int getNotBefore()

    - #### setNotBefore

          public void setNotBefore(int notBefore)

    - #### isPublicClient

          public boolean isPublicClient()

    - #### setPublicClient

          public void setPublicClient(boolean publicClient)

    - #### getRealmId

          public String getRealmId()

    - #### setRealmId

          public void setRealmId(String realmId)

    - #### getWebOrigins

          public List<String> getWebOrigins()

    - #### setWebOrigins

          public void setWebOrigins(List<String> webOrigins)

    - #### getRedirectUris

          public List<String> getRedirectUris()

    - #### setRedirectUris

          public void setRedirectUris(List<String> redirectUris)

    - #### getScopeIds

          public List<String> getScopeIds()

    - #### setScopeIds

          public void setScopeIds(List<String> scopeIds)

    - #### isFullScopeAllowed

          public boolean isFullScopeAllowed()

    - #### setFullScopeAllowed

          public void setFullScopeAllowed(boolean fullScopeAllowed)

Copyright © 2014. All Rights Reserved.